function PlotApp( axes, x, y, xL, yL, tl )

%--------------------------------------------------------------------------
%   Michael Hauge
%   October 26, 2020
%
%   Plots data to a set of axes in a uifigure. Intended for use within apps
%   created with MATLAB App Designer.
%--------------------------------------------------------------------------
%   Form:
%   PlotApp( axes, x, y, xL, yL, tl )
%--------------------------------------------------------------------------
%
%   ------
%   Inputs
%   ------
% 
%   axes        array of axes, from top to bottom, to plot on
%   x           abscissa data
%   y           array of ordinate data
%   xL          (optional) abscissa label
%   yL          (optional) ordinate label
%   tl          (optional) title
%
%--------------------------------------------------------------------------

for i = 1:length(axes)   
    % Check for cases with multiple inputs for one set of axes
    if length(axes) == 1 && size(y,1) == 2
        plot(axes(i),x,y(1,:),x,y(2,:));
    elseif length(axes) == 1 && size(y,1) == 3
        plot(axes(i),x,y(1,:),x,y(2,:),x,y(3,:));
    else
        plot(axes(i),x,y(i,:));
    end

    grid(axes(i),'on');
    
    axes(i).Visible = true;
    if nargin > 4
        ylabel(axes(i),yL(i));
    end
end

if nargin > 3
    xlabel(axes(end),xL);
end

if nargin > 5
    title(axes(1),tl);
end